//SY20ZR18 JOB 1,TASP801,CLASS=A,MSGLEVEL=(1,1)
//*
//*  PROBLEM DESCRIPTION(S):
//*    TASP801 -
//*      Improve ASP queuing performance.  A number of ASP functions,
//*      especially those that use the work-to-do driver such as
//*      *INQUIRE,Q and *INQUIRE,B, rely on timer pops rather than
//*      direct posts for new work to be processed.  This usermod
//*      changes several posts from delayed to immediate, and removes
//*      short interval ATIMER calls from the work-to-do driver.
//*
//*   COMPONENT:  360A-CX15X-ASP
//*
//*   APARS FIXED: TASP801
//*
//*   SPECIAL CONDITIONS:
//*
//*   COMMENTS:
//*     LAST CHANGE:  2010/07/09
//*
//*     THE FOLLOWING MODULES AND/OR MACROS ARE AFFECTED BY THIS USERMOD:
//*
//*     MODULES
//*       INQBACK
//*       INQQUE
//*       MODRJP
//*       MSVMVT
//*       WTDDRVR
//*
//TASP801 EXEC PGM=IMASPZAP,REGION=256K
//SYSPRINT DD SYSOUT=A
//SYSLIB DD DISP=SHR,DSN=ASP.VERSON32
//SYSIN  DD *
 NAME INQBACK INQBACK
  IDRDATA TASP801
  VER 00020A 9640C2C0       OI    WTDQUE,X'40'    GIVE SOFT POST
  REP 00020A 96C0C2C0       OI    WTDQUE,X'C0'    POST IMMEDIATE
 NAME INQQUE INQQUE
  IDRDATA TASP801
  VER 0003B2 9640C2C0       OI    WTDQUE,X'40'    POST SOFT
  REP 0003B2 96C0C2C0       OI    WTDQUE,X'C0'    POST IMMEDIATE
 NAME MODRJP MODRJP
  IDRDATA TASP801
  VER 0005BA 9640C2C0       OI    WTDQUE,X'40'    POST
  REP 0005BA 96C0C2C0       OI    WTDQUE,X'C0'    POST IMMEDIATE
 NAME MSVMVT MSVMVT
  IDRDATA TASP801
  VER 000C3A 9640C2C0       OI    WTDQUE,X'40'    SHOW WTD AVAILABLE
  REP 000C3A 96C0C2C0       OI    WTDQUE,X'C0'    POST IMMEDIATE
 NAME ASPNUC WTDDRVR
  IDRDATA TASP801
  VER 000006 4590A0C8       BAL   R9,TIMECMPR     SET TIMER FOR COMPRESS
  VER 00006E 4590A0EE       BAL   R9,TIMEWTD      SET WTD TIMER
  REP 000006 4700A0C8       NOP   TIMECMPR        DON'T SET COMPRESS TIMER
  REP 00006E 4700A0EE       NOP   TIMEWTD         DON'T SET WTD TIMER
/*
//
